### Project Documentation

#### Overview
This project consists of a collection of scripts and examples demonstrating how to interact with the WMP4 API. The scripts cover various aspects such as authentication, user management, gateway management, group management, and more.

#### Scripts
1. **authentication/**: One script to authenticate with the WMP4 API using basic authentication & one script function to authenticate with the WMP4 API and obtain authentication headers. 
2. **users/**: Examples of managing users, including listing users and creating new users.
3. **gateways/**: Examples of managing gateways, including getting gateway status, health data, listing gateways, and creating new gateways.
4. **groups/**: Examples of managing groups, including creating new groups, adding gateways to groups, and listing gateways in groups.
5. **actions/**: Examples of defining actions, executing actions for gateways and groups, and checking action statuses.
6. **customers/**: Examples of managing customers, including listing customers and creating new customers.

#### Usage
Each script provides examples of usage along with explanations of the functionality it covers. Before running the scripts, ensure you have valid credentials for authentication with the WMP4 API.

#### API Reference
Refer to the official WMP4 API documentation for detailed information about each API endpoint, request parameters, and response formats.

#### Examples
The `examples/` directory contains additional usage examples for the provided scripts. These examples demonstrate common use cases and workflows when interacting with the WMP4 API.

#### Roles permissions summary

![Roles permissions summary](docs/roles_permissions.png)

### Organisation of the Project

![Project Architecture](docs/project_architecture.png)