import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.
GATEWAY_EUI= input("Gateway EUI: ") # Put a gateway EUI. Example : '00AABBCCDDEEFFGG'.
# ACTION_GATEWAY_ID=?

print("GATEWAYS ACTIONS")
#################################
## Create a new action gateway ##
#################################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Create a new action gateway")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id & a gaetway EUI. Let's take : CUSTOMER_ID & GATEWAY_EUI
url_create_action_gweui = f"{baseurl}/customers/{CUSTOMER_ID}/gateways/{GATEWAY_EUI}/actions"
# You need a specific input object to create a new action gateway
schema_action_gateway={
  "actionId": 2, # Select the desired action
  "actionParameters": {
    "ml_id": "xxaallfkleazlmmlk"
  }
}
resp = requests.post(url_create_action_gweui,headers=headers,json=schema_action_gateway)
resp_content = resp.json()
# See the information about the new action gateway created
print(resp_content)
# Get the new action gateway id
action_gateway_id=resp_content['data']['id']

print()
#####################################
## Get action status for a gateway ##
#####################################
# No role needed
print("Get action status for a gateway")
# Here you need a customer id & a gaetway EUI. Let's take : CUSTOMER_ID & GATEWAY_EUI
# You also need a action gateway id, here we choose the previous one. But you can choose another one.
url_get_action_status_gweui = f"{baseurl}/customers/{CUSTOMER_ID}/gateways/{GATEWAY_EUI}/actions/{action_gateway_id}"
resp = requests.get(url_get_action_status_gweui, headers=headers)
resp.raise_for_status()
action_status = resp.json()
# print(action_status) # Decomment for full response
# Display the status
print(f"Action status : {action_status['data']['status']}")

print()
###############################################
## Attempt to cancel an action for a gateway ##
###############################################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Attempt to cancel an action for a gateway")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id & a gaetway EUI. Let's take : CUSTOMER_ID & GATEWAY_EUI
# You also need a action gateway id, here we choose the previous one. But you can choose another one.
url_cancel_action_gweui = f"{baseurl}/customers/{CUSTOMER_ID}/gateways/{GATEWAY_EUI}/actions/{action_gateway_id}/cancel-request"
resp = requests.post(url_cancel_action_gweui,headers=headers)
resp_content = resp.json()
# See the information about the action gateway cancelled
print(resp_content)