import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

############################
## Get actions definition ##
############################
# No role needed
print("Get actions definition")
url_act_def = f"{baseurl}/actions-definition"
resp = requests.get(url_act_def, headers=headers)
resp.raise_for_status()
act_def_list = resp.json()
# print(act_def_list) # Decomment for the full response
for act_def in act_def_list['data']:
    # Here we will display name and value of each action:
    # Value is a string so if you only want the value:
    # start_index = act_def['value'].find('"value": ') + 10 ; end_index = len(act_def['value']) - 2 ; value_part = act_def['value'][start_index:end_index]; print(value_part)
    # else :
    print(f"Name : {act_def['name']} | Value : {act_def['value']}")
