import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.
GROUP_ID= input("Group id: ")       # Put a group id.
# ACTION_GROUP_ID=?

print("GROUPS ACTIONS")
###############################
## Create a new action group ##
###############################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Create a new action group")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id & a group id. Let's take : CUSTOMER_ID & GROUP_ID
url_create_action_group = f"{baseurl}/customers/{CUSTOMER_ID}/groups/{GROUP_ID}/actions"
# You need a specific input object to create a new action group
schema_action_group={
  "actionId": 2, # Select the desired action
  "actionParameters": {
    "key1": "abc",
    "key2": 2
  }
}
resp = requests.post(url_create_action_group,headers=headers,json=schema_action_group)
resp_content = resp.json()
# See the information about the new action group created
print(resp_content)
# Get the new action group id
action_group_id=resp_content['data']['id']

print()
###################################
## Get action status for a group ##
###################################
# No role needed
print("Get action status for a group")
# Here you need a customer id & a group id. Let's take : CUSTOMER_ID & GROUP_ID
# You also need a action group id, here we choose the previous one. But you can choose another one.
url_get_action_status_group = f"{baseurl}/customers/{CUSTOMER_ID}/groups/{GROUP_ID}/actions/{action_group_id}"
resp = requests.get(url_get_action_status_group, headers=headers)
resp.raise_for_status()
action_status = resp.json()
# print(action_status) # Decomment for full response
# Display the status
print(f"Action status : {action_status['data']['status']}")

print()
#############################################
## Attempt to cancel an action for a group ##
#############################################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Attempt to cancel an action for a group")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id & a group id. Let's take : CUSTOMER_ID & GROUP_ID
# You also need a action group id, here we choose the previous one. But you can choose another one.
url_cancel_action_group = f"{baseurl}/customers/{CUSTOMER_ID}/groups/{GROUP_ID}/actions/{action_group_id}/cancel-request"
resp = requests.post(url_cancel_action_group,headers=headers)
resp_content = resp.json()
# See the information about the action group cancelled
print(resp_content)
