import requests
import base64
import getpass

# Authentication information
username = input("Username/email: ") # Enter your username/email. For example : '*.***@kerlink.com'
password = getpass.getpass("Password: ") # Enter your password.
baseurl = "https://wmc.wanesy.com/api/v1"  # baseURL for WMP4. Need to adapt if you have a different WMP4

# Encode authentication information in base64
auth_str = f"{username}:{password}"
encoded_auth = base64.b64encode(auth_str.encode('utf-8')).decode('utf-8')

# Create the authentication header
authentication_header = "Basic " + encoded_auth

# Send a POST request to obtain the token
resp = requests.post(f"{baseurl}/users/token", headers={"content-type": "application/json", "Authorization": authentication_header})
resp_content = resp.json()
token = resp_content

# Create headers for future requests with the obtained token
headers = {"content-type": "application/json", "Authorization": f"Bearer {token['data']['AccessToken']}"}
print(headers)
