import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

#########################
## Create new customer ##
#########################
# Necessary role : "CHANNEL_ADMINISTRATOR"
print("Create new customer")
print("Necessary role : 'CHANNEL_ADMINISTRATOR'")
url_create_customer = f"{baseurl}/customers"
# You need a specific input object to create a new customer
schema_new_customer={
  "description": "Test", # Put a description. What you want.
  "hasWdp": True, # True if you want that your customer be in WDP4 too
  "name": "Testnewcustomer" # Put a name. What you want.
}
# Post the new customer thanks to the API
resp = requests.post(url_create_customer,headers=headers,json=schema_new_customer)
resp_content = resp.json()
# See the information about the new customer created
print(resp_content)
