import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.

###########################
## Get specific customer ##
###########################
# No role needed
print("Get specific customer")
# Here you need a customer id. Let's take : CUSTOMER_ID
url_get_customer = f"{baseurl}/customers/{CUSTOMER_ID}"
resp = requests.get(url_get_customer, headers=headers)
resp.raise_for_status()
customer_id = resp.json()
print(customer_id)
