import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.

########################
## Create new gateway ##
########################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Create new gateway")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id. Let's take : CUSTOMER_ID
url_create_gateway = f"{baseurl}/customers/{CUSTOMER_ID}/gateways"
# You need a specific input object to create a new gateway
schema_new_gateway={
  "gwEui": "0011223344556644", # Put a gateway EUI
  "name": "deoxyd-alpha-dog", # Put a name
  "description": "Test", # Put a description
  "networkServerId": 0 # Put a network server ID
}
# Post the new gateway thanks to the API
resp = requests.post(url_create_gateway,headers=headers,json=schema_new_gateway)
resp_content = resp.json()
# See the information about the new gateway created
print(resp_content)
