import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.
GATEWAY_EUI= input("Gateway EUI: ") # Put a gateway EUI. Example : '00AABBCCDDEEFFGG'.

##################################
## Get health data of a gateway ##
##################################
# No role needed
print("Get health data of a gateway")
# Here you need a customer id & a gaetway EUI. Let's take : CUSTOMER_ID & GATEWAY_EUI
url_get_gateway_health = f"{baseurl}/customers/{CUSTOMER_ID}/gateways/{GATEWAY_EUI}/health"
resp = requests.get(url_get_gateway_health, headers=headers)
resp.raise_for_status()
gateway_health_resp = resp.json()
# print(gateway_health_resp) # Decomment if you want to see the complete response of the request
# Let see the health data of the selected gateway
print(GATEWAY_EUI)
for health_data in gateway_health_resp['data']['vitals']:
    print(f"Name : {health_data['name']} | Value : {health_data['value']}")
