import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.

########################
## Create a new group ##
########################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Create a new group")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id. Let's take : CUSTOMER_ID
url_create_group = f"{baseurl}/customers/{CUSTOMER_ID}/groups"
# You need a specific input object to create a new group
schema_new_group ={
  "name": "TestGroup", # Put a name.
  "description": "Test" # Put a description.
}
# Post the new user thanks to the API
resp = requests.post(url_create_group,headers=headers,json=schema_new_group)
resp_content = resp.json()
# See the information about the new user created
print(resp_content)
