import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.
GROUP_ID= input("Group id: ")       # Put a group id.

#############################################
## Get list of gateway in a specific group ##
#############################################
# No role needed
print("Get list of gateway in a specific group")
# Here you need a customer id & a group id. Let's take : CUSTOMER_ID & GROUP_ID
url_list_gateway_group = f"{baseurl}/customers/{CUSTOMER_ID}/groups/{GROUP_ID}/gateways"
# If you want to choose the number limit of user per request; you can choose between 5,10,25 & 50, for 25 : add ?limit=25 ==> Example : f"{baseurl}/customers/{CUSTOMER_ID}/groups/{GROUP_ID}/gateways?limit=25"
# By default its 10
resp = requests.get(url_list_gateway_group, headers=headers)
resp.raise_for_status()
gateway_list_group = resp.json()
# print(gateway_list_group) # Decomment to see the complete response
# If you want just want to check the datas of gateways. Search in the 'data' fields.
for gateway in gateway_list_group['data']:
    # Here we will display gateway Eui for each gateway:
    print(f"Gateway Eui : {gateway['gwEui']}")
