import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

# Paremeters you need to complete :
CUSTOMER_ID= input("Customer id: ") # Put a customer id.
GROUP_ID= input("Group id: ") # Put a group id.
GATEWAY_EUI= input("Gateway EUI: ") # Put a gateway EUI. Example : '00AABBCCDDEEFFGG'.

#######################################
## Put a gateway in a specific group ##
#######################################
# Necessary roles : "SERVICE_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Put a gateway in a specific group")
print("Necessary roles : 'SERVICE_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
# Here you need a customer id, a group id & a gateway EUI. Let's take : CUSTOMER_ID, GROUP_ID & GATEWAY_EUI
url_put_gateway_in_group = f"{baseurl}/customers/{CUSTOMER_ID}/gateways/{GATEWAY_EUI}/groups/{GROUP_ID}"
# Post the gateway selected in the group selected thanks to the API
resp = requests.post(url_put_gateway_in_group,headers=headers)
resp_content = resp.json()
# See the information about the gateway add in the group selected
print(resp_content)
