import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

#####################
## Create new user ##
#####################
# Necessary roles : "CUSTOMER_ADMINISTRATOR" OR "CHANNEL_ADMINISTRATOR"
print("Create new user")
print("Necessary roles : 'CUSTOMER_ADMINISTRATOR' OR 'CHANNEL_ADMINISTRATOR'")
url_create_user = f"{baseurl}/users"
# You need a specific input object to create a new user
schema_new_user={
  "email": "example.mail@kerlink.com",
  "roles": [
    {
      "customerId": None, # You can choose to have a role for a specific customer. Neverthless, some role need a customerID to be create
      "role": "CHANNEL_ADMINISTRATOR" # Choose your role
    }
  ]
}
# Post the new user thanks to the API
resp = requests.post(url_create_user,headers=headers,json=schema_new_user)
resp_content = resp.json()
# See the information about the new user created
print(resp_content)

# Role available : "SERVICE_VIEWER","SERVICE_OPERATOR","SERVICE_ADMINISTRATOR","CUSTOMER_ADMINISTRATOR" or "CHANNEL_ADMINISTRATOR"

# You can choose to have a role for a specific customer
# Example :
# schema_new_user={
#   "email": "mail@example.com",
#   "roles": [
#     {
#       "customerId": 123, # Choose a customer for the role
#       "role": "SERVICE_VIEWER" # Choose your role
#     },{
#       "customerId": 1234, # Choose a customer for the role
#       "role": "SERVICE_VIEWER" # Choose your role
#     }
#   ]
# }
