import requests
import getpass

from examples.authentification.authentification_function import authenticate

baseurl = "https://wmc.wanesy.com/api/v1" # base url for WMP4

# Ask for the login informations
username = input("Username/email: ") # Allows you to enter your username/email in the terminal
password = getpass.getpass("Password: ") # Allows you to enter your password in the terminal

# Authentication like in authentication.py ==> Headers of Authentication is needed for every requests
headers = authenticate(username=username, password=password,baseurl=baseurl)
# Look line number 4 (l.4) to understand how transfer the authenticate function from authentication_function.py

####################
## Get list users ##
####################
# No role needed
print("Get list users")
url_get_list_users = f"{baseurl}/users"
# If you want to choose the number limit of user per request; you can choose between 5,10,25 & 50, for 25 : add ?limit=25 ==> Example : f"{baseurl}/users?limit=25"
# By default its 10
resp = requests.get(url_get_list_users, headers=headers)
resp.raise_for_status()
user_list = resp.json()
# print(user_list) # Decomment to see the complete response
# If you want just want to check the datas of users. Search in the 'data' fields.
for user in user_list['data']:
    # Here we will display id, email and role for each user:
    print(f"id : {user['id']} | email : {user['email']} | role : {user['roles'][0]['role']}")
